IPCRM(1)

NAME
ipcrm - remove a message queue, semaphore set, or shared memory ID

SYNOPSIS
ipcrm [ primitives ]

DESCRIPTION
ipcrm removes one or several messages, semaphores, or shared memory identifiers, as specified by the following primitives:

-q msqid
    removes the message queue identifier msqid from the system and destroys the message queue and data structures associated with it.

-m shmid
    removes the shared memory identifier shmid from the system. The shared memory segment and data structures associated with it are destroyed after the last detach.

-s semid
    removes the semaphore identifier semid from the system and destroys the set of semaphores and data structures associated with it.

-Q msgkey
    removes the message queue identifier, created with key msgkey, from the system and destroys the message queue and data structures associated with it.

-M shmkey
    removes the shared memory identifier, created with key shmkey, from the system. The shared memory segment and data structures associated with it are destroyed after the last detach.

-S semkey
    removes the semaphore identifier, created with key semkey, from the system and destroys the set of semaphores and data structures associated with it.

The identifiers and keys may be found by using ipcs(1).

The details of removing identifiers are described in msgctl(2), shmctl(2), and semctl(2) in the sections detailing the IPC_RMID command.

SEE ALSO
ipcs(1), msgctl(2), msgget(2), semctl(2), semget(2), semop(2), shmctl(2), shmget(2), shmop(2)